Skip to main content
`Ctrl`+`K`

# KSPMonitorTrueResidualDrawLG

Plots the true residual norm at each iteration of an iterative solver.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorTrueResidualDrawLG(KSP ksp, PetscInt n, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ksp - iterative context

- n - iteration number

- rnorm - 2-norm (preconditioned) residual value (may be estimated).

- vf - The viewer context

## Options Database Key

- -ksp_monitor_true_residual draw::draw_lg - Activates `KSPMonitorTrueResidualDrawLG()`

## Notes

This is not called directly by users, rather one calls `KSPMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `KSP` solve.

Call `KSPMonitorTrueResidualDrawLGCreate()` to create the context needed for this monitor

## See Also

KSP: Linear System Solvers, `PETSCVIEWERDRAW`, `KSP`, `KSPMonitorSet()`, `KSPMonitorTrueResidual()`, `KSPMonitorTrueResidualDraw()`, `KSPMonitorResidual`, `KSPMonitorTrueResidualDrawLGCreate()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages